## 离线打包步骤
* 1、之前我本地的AndroidStudio版本太旧3.2更新之后才能跑uni提供的SDKdemo
* 2、[离线打包流程地址](https://blog.csdn.net/qq_17387361/article/details/103156281)
* 3、在运行生产环境时发现没法弹出安卓的更新软件页面后面发现是 “plus.runtime.install”调用失败，解决方法是：在manifest.xml下添加配置开启权限
   ``` xml
        <provider
            android:name="io.dcloud.common.util.DCloud_FileProvider"
            android:authorities="io.dcloud.crmapp.dc.fileprovider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/dcloud_file_provider" />
        </provider>
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES"/>
   ``` 
* 4、chrome浏览器中inspect 看不到webview问题：在dcloud_control.xml中配置修改为：
    ``` xml
    <hbuilder debug="true">
        <apps>
            <app appid="__UNI__C97B9D9" appver=""/>
        </apps>
    </hbuilder>
    ```